# Numpad Nav Mode (Режим навігації за допомогою цифрової клавіатури) #

* Автор: Luke Davis (Open Source Systems, Ltd.)
* Завантажити [стабільну версію][1]

Режим навігації за допомогою цифрової клавіатури — це додаток
[NVDA](https://nvaccess.org/), який дозволяє вам легко перемикати цифрову
клавіатуру між елементами керування навігацією NVDA та елементами керування
навігацією Windows без програми зчитування з екрана. Це може бути особливо
корисним для користувачів, які переходять з Jaws на NVDA. Цей додаток також
надає детальний контроль над перемиканням клавіші numlock як під час запуску
NVDA, так і за бажанням у профілях.

### Пояснення та особливості режимів навігації

Звичайними функціями цифрової клавіатури комп’ютера з вимкненою клавішею
numlock є: сторінка вгору, сторінка вниз, додому, вкінець, клавіші зі
стрілками в чотирьох напрямках і клавіша видалення.  Але NVDA повністю
перебирає на себе функції цифрової клавіатури, надаючи клавіші для
перегляду, керування мишею та навігації по об'єктах. Це стосується навіть
режиму клавіатури ноутбука, яка також дублює ці функції на клавішах, що не
належать до цифрової клавіатури.

Однак деякі користувачі мають на своєму ноутбуці цифрову клавіатуру і
воліють використовувати її для навігації у Windows (принаймні деякий час),
особливо тому, що деякі ноутбуки не мають клавіш "Додому", "Вкінець" або
інших подібних клавіш.  Саме тут може знадобитися цей додаток.  Крім того,
деяким користувачам настільних комп’ютерів, наприклад тим, хто звик до
роботи цифрової клавіатури в JAWS, іноді може бути зручно використовувати
цифрову клавіатуру для цих функцій клавіатури, а не звичайні клавіші NVDA,
які вмикає цей додаток.  Сюди входить популярна JAWS-команда
NumpadInsert+Numpad2, для читання до кінця, що було особливим побажанням
деяких перших користувачів цього додатка.

### Як це працює

Якщо numlock вимкнено, незалежно від того, яку розкладку клавіатури ви
використовуєте, цей додаток дозволить вам натиснути Alt+NVDA+NumpadPlus
(зазвичай це довга клавіша, друга праворуч), щоб швидко і легко перемикатися
між звичайними елементами керування навігацією NVDA і класичними елементами
керування навігацією Windows. Цю клавішу можна перепризначити у пункті Жести
вводу у розділі Введення.

Зауважте, що цей додаток не вимикає використання insert numpad як
модифікатора клавіатури NVDA, якщо вона у вас встановлена як така. Якщо вам
потрібна ця функція, будь ласка, дайте мені знати, хоча ви можете вручну
вимкнути клавішу insert як модифікатор у налаштуваннях клавіатури NVDA. Це
також не змінює функцію клавіш numpad delete (клавіша між нулем і
enter)--зв'яжіться зі мною, якщо ви бажаєте це зробити.

Якщо ви бажаєте, щоб NVDA початково запускалася з активним режимом навігації
Windows, ви можете налаштувати це в налаштуваннях NVDA. Перейдіть до
параметрів NVDA, потім до налаштувань і знайдіть панель налаштувань (Режим
навігації за допомогою цифрової клавіатури). Там ви зможете встановити
прапорець, щоб увімкнути режим навігації Windows під час запуску NVDA.

### Функції Numlock

Початково клавіша numlock нічого не робить.

Однак, якщо ви ділите комп'ютер зі зрячим користувачем, який вважає за
краще, щоб numlock завжди був увімкнений, але вам подобається, коли він
вимкнений, щоб цифрова клавіатура працювала з NVDA, ви можете зробити так,
щоб numlock автоматично вимикався при запуску NVDA.  Крім того, ви можете
вводити багато даних, тому краще, щоб numlock завжди був увімкненим, коли ви
запускаєте NVDA.

 Перейдіть до меню NVDA, Параметри, Налаштування, Режим навігації за допомогою цифрової клавіатури і скористайтеся комбінованим списком "Стан numlock під час запуску NVDA або завантаження профілю". Тут є три варіанти. Перший, початково "не змінювати" не стосується numloc. Він залишиться у тому стані, у якому був до запуску NVDA.  Другий варіант — «вимкнути numlock», який завжди вимикатиме numlock під час запуску NVDA. Третій варіант, «Увімкнути numlock», увімкне numlock, якщо він був вимкнений під час запуску NVDA.  Якщо ви виберете другий або третій варіант, numlock буде відновлено до того стану, у якому він був раніше, коли ви вийдете з NVDA. Наприклад, якщо ви вибрали «Вимкнути numlock», а numlock було ввімкнено під час запуску NVDA: він буде вимкнений, поки ви використовуєте NVDA, але знову ввімкнеться, коли ви вийдете з NVDA.

#### Розширені варіанти використання

Якщо ви використовуєте профілі конфігурації NVDA і хочете, щоб numlock
автоматично вмикався при вході в певні профілі, зробіть наступне:

* Перебуваючи у "звичайному профілі", перейдіть на панель налаштувань Режим
  навігації за допомогою цифрової клавіатури, описану вище. Встановіть
  прапорець біля пункту "Початковий стан numlock залежить від профілю
  конфігурації". Початково цей прапорець знято.

* Натисніть Гаразд.

* Перейдіть до профілю, де ви хочете, щоб numlock завжди був вимкнений або
  увімкнений.

* Поверніться на панель налаштувань Режим навігації за допомогою цифрової
  клавіатури і виберіть опцію Вимкнути або увімкнути numlock, як вам
  зручніше.

* Потім натисніть Гаразд. Тепер щоразу, коли ви входитимете в цей профіль,
  numlock автоматично змінюватиметься на потрібний стан.

Зверніть увагу, що це нова функція, і я не знаю, чи хтось нею
користується. Якщо ви знайшли таку можливість, будь ласка, надішліть
електронного листа або відкрийте
[питання](https://github.com/opensourcesys/numpadNavMode/issues/new), щоб
повідомити мені, як ви знайшли спосіб її використання.

### Нові функції

Я заохочую вас написати
[питання](https://github.com/openSourceSys/numpadNavMode/issues/new) або
електронного листа з будь-якими пропозиціями щодо функцій або інших випадків
використання, які я не перерахував тут, або просто дати мені знати, що ви
вважаєте  додаток корисним!

### Історія

Цей додаток став прямим результатом запитів, які я бачив від користувачів
протягом багатьох років, і обговорення на GitHub в
[#9549](https://github.com/nvaccess/nvda/issues/9549). З вдячністю
@Qchristensen та @feerrenrut.  Базова реалізація функцій numlock була
запозичена із застарілого додатка NumLock Manager, авторства Noelia Ruiz
(@nvdaes на GitHub) та інших. Використовується з дозволу.

### Журнал змін

(Цей журнал змін неповний. Дивіться журнал Git для повної інформації.)

* 23.0: NVDA 2023.X compatibility.

* 23.1.0: Added numlock management features. Better logging. Improved config
  profile handling (WIP).

[[!tag dev stable]]

[1]: https://www.nvaccess.org/addonStore/legacy?file=numpadNavMode
